GET http://webapi.mymarketing.co.il/api/automationreports/{id}/logautomation
Get automation details of users logged in a journey
Request Information
URI Parameters
Name
Description
Type
Additional information
id
Automation id
integer
Required
Body Parameters
None.
Response Information
Resource Description
Name
Description
Type
Additional information
total_items
Total of automation log items of contacts who ever started the automation
integer
total_distinct_by_customer_id
Total of automation log items of contacts who ever started the automation order by
integer
log_automations
List of automaion log items of contacts who ever started the automation
Collection of ApiLogAutomation
Response Formats
application/json, text/json
Sample:
{
"total_items": 1,
"total_distinct_by_customer_id": 2,
"log_automations": [
{
"id": 1,
"automation_id": 2,
"contact_id": 1
},
{
"id": 1,
"automation_id": 2,
"contact_id": 1
}
]
}
application/xml, text/xml
Sample:
<ApiLogAutomationList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.RESTfulApi.Models.AutomationReport">
<log_automations>
<ApiLogAutomation>
<automation_id>2</automation_id>
<contact_id>1</contact_id>
<id>1</id>
</ApiLogAutomation>
<ApiLogAutomation>
<automation_id>2</automation_id>
<contact_id>1</contact_id>
<id>1</id>
</ApiLogAutomation>
</log_automations>
<total_distinct_by_customer_id>2</total_distinct_by_customer_id>
<total_items>1</total_items>
</ApiLogAutomationList>